unit TransFile;

interface

  function EncryptCommonFile(const ASourceFile, ATargetFile, Key: string): Boolean; stdcall; external 'TransFile.dll' name 'EncryptCommonFile';
  function DecryptCommonFile(const ASourceFile, ATargetFile, Key: string): Boolean; stdcall; external 'TransFile.dll' name 'DecryptCommonFile';

  function AutoEncryptFile(const ASourceFile, ATargetFile: string): Boolean; stdcall; external 'TransFile.dll' name 'AutoEncryptFile';
  function AutoDecryptFile(const ASourceFile, ATargetFile: string): Boolean; stdcall; external 'TransFile.dll' name 'AutoDecryptFile';

implementation

end.
 